Katello - Bug #5534

rake tasks are failing due to "uninitialized constant AngularRailsTemplates::Engine::Tilt"

05/01/2014 01:38 PM - David Davis

Status: Closed

Priority: Normal

Assignee: David Davis

Category:

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

See the following jenkins job:

http://ci.theforeman.org/job/test_katello/lastCompletedBuild/

It looks like there's a bug in the new 0.1.0 version of angular-rails-templates.

Associated revisions

Revision 463c96a4 - 05/01/2014 01:39 PM - David Davis

Fixes #5534 - Set version on angular-rails-templates gem

Fixing uninitialized constant AngularRailsTemplates::Engine::Tilt

History

#1 - 05/01/2014 01:38 PM - David Davis

| opened an issue against the gem for this error:

https://github.com/pitr/angular-rails-templates/issues/42

Hopefully after it gets fixed we can upgrade.

#2 - 05/01/2014 01:39 PM - David Davis

- Assignee set to David Davis

#3 - 05/01/2014 01:42 PM - David Davis

Sorry, here's the non-dynamic link to the job

http://ci.theforeman.org/job/test_katello/615/

And the output:

rake aborted!
NameError: uninitialized constant AngularRailsTemplates::Engine::Tilt

/usr/local/rvm/gems/ruby-1.9.3-p392@test_katello_core-2/gems/angular-rails-templates-0.

emplates/engine.rb:13:in “block in <class:Engine>'

/usr/local/rvm/gems/ruby—-1.9.3-p392@test_katello_core-2/gems/angular-rails-templates-0.

emplates/engine.rb:10:in “each'

/usr/local/rvm/gems/ruby-1.9.3-p392@test_katello_core-2/gems/angular-rails-templates-0.

emplates/engine.rb:10:in "<class:Engine>'

/usr/local/rvm/gems/ruby-1.9.3-p392@test_katello_core-2/gems/angular-rails-templates-0.

emplates/engine.rb:2:in "~ <module:AngularRailsTemplates>'

/usr/local/rvm/gems/ruby—-1.9.3-p392@test_katello_core-2/gems/angular-rails-templates-0.

emplates/engine.rb:1:in “<top (required)>'

.0/lib/angular-rails-t
.0/lib/angular-rails-t
.0/1lib/angular-rails-t
.0/lib/angular-rails-t

.0/1lib/angular-rails-t

/usr/local/rvm/gems/ruby-1.9.3-p392@test_katello_core-2/gems/angular-rails-templates-0.1.0/lib/angular-rails-t

emplates.rb:1l:in “<top (required)>'

/var/lib/workspace/workspace/test_katello_core/database/postgresqgl/ruby/1.9.3/plugin/lib/katello.rb:22:in "<to

p (required)>'
http://ci.theforeman.org/job/test_katello/lastCompletedBuild/
https://github.com/pitr/angular-rails-templates/issues/42
http://ci.theforeman.org/job/test_katello/615/

/usr/local/rvm/gems/ruby—-1.9.

re'

/usr/local/rvm/gems/ruby-1.9.

(2 levels) in require'

/usr/local/rvm/gems/ruby-1.9.
/usr/local/rvm/gems/ruby-1.9.

in require'

/usr/local/rvm/gems/ruby-1.9.
/usr/local/rvm/gems/ruby-1.9.

re'

/usr/local/rvm/gems/ruby-1.9.

:in “<top (required)>'

3-p392@test_katello_core-2/gems/bundler-1.
3-p392@test_katello_core-2/gems/bundler-1.

3-p392@test_katello_core—2/gems/bundler-1.
3-p392@test_katello_core—2/gems/bundler-1.
3-p392@test_katello_core-2/gems/bundler-1.

3-p392@test_katello_core—2/gems/bundler-1.

6.

.2/1lib/bundler/runtime.

.2/1lib/bundler/runtime.

.2/1lib/bundler/runtime.
.2/1lib/bundler/runtime.
.2/1lib/bundler/runtime.
‘requi

2/1lib/bundler.rb:132:in "require'
/var/lib/workspace/workspace/test_katello_core/database/postgresqgl/ruby/1.9.3/foreman/config/application.rb:22

/var/lib/workspace/workspace/test_katello_core/database/postgresqgl/ruby/1.9.3/foreman/Rakefile:1:in "require'

/var/lib/workspace/workspace/test_katello_core/database/postgresqgl/ruby/1.9.3/foreman/Rakefile:1:in " <top

uired)>"'

/usr/local/rvm/gems/ruby-1.9.3-p392@test_katello_core-2/bin/ruby_executable_hooks:15:in ‘eval'
/usr/local/rvm/gems/ruby-1.9.3-p392@test_katello_core-2/bin/ruby_executable_hooks:15:in '<main>'
(See full trace by running task with —--trace)

#4 - 05/01/2014 02:52 PM - David Davis

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:463c96a4f8d6ee89f6e578e4907f01be35f0f659.

#5 - 05/27/2014 05:08 PM - Eric Helms

- Target version set to 44

#6 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes

#7 - 08/22/2014 08:22 AM - Eric Helms

- translation missing: en.field_release set to 13
